#[allow(clippy::module_inception)]
mod board;
mod tree;

use std::fmt::Display;

pub use board::Board;
pub use tree::TreeElement;

use crate::Symb;

#[derive(Debug, Clone, Copy)]
pub struct PlayerAction {
	pub symb: Symb,
	pub pos: usize,
}

impl Display for PlayerAction {
	fn fmt(&self, f: &mut std::fmt::Formatter<'_>) -> std::fmt::Result {
		write!(f, "{} at {}", self.symb, self.pos)
	}
}
